Holger's Java API

## com.antelmann.sql
Class TaggableMappingImpl

    java.lang.Object
      com.antelmann.sql.TaggableMappingImpl

All Implemented Interfaces:
  TransactionRequired, TaggableMapping

    public class TaggableMappingImpl

extends Object
implements TaggableMapping

a default implementation that allows to easily adopt a mapping based on JDBC information

Since:
  26.10.2010, 15:24:05
Author:
  Holger Antelmann

Constructor Summary
`TaggableMappingImpl(Connection con, Class<? extends Keyword> type, String table, String idColumn, String displayColumn)`

Method Summary
`void` `deleteTag(String group)` deletes the given tag so that no entry is in the given group anymore
`Set<? extends Keyword>` `getExistingTags()` allows to retrieve all existing tags from the database
`String` `getGroupNameColumn()`
`ConnectionHelper` `getHelper()`
`String` `getTagIdColumn()`
`String` `getTagTable()`
`Class<? extends Keyword>` `getTagType()` returns the type of the tag
`Class<? extends Keyword>` `getType()`
`void` `renameTag(String oldName, String newName)` allows to rename all occurrences of a tag name into another

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaggableMappingImpl

    public TaggableMappingImpl(Connection con,
                               Class<? extends Keyword> type,
                               String table,
                               String idColumn,
                               String displayColumn)

Method Detail

### getHelper

    public ConnectionHelper getHelper()

### getType

    public Class<? extends Keyword> getType()

### getTagTable

    public String getTagTable()

  Specified by:
    `getTagTable` in interface `TaggableMapping`

### getTagIdColumn

    public String getTagIdColumn()

  Specified by:
    `getTagIdColumn` in interface `TaggableMapping`

### getGroupNameColumn

    public String getGroupNameColumn()

  Specified by:
    `getGroupNameColumn` in interface `TaggableMapping`

### getTagType

    public Class<? extends Keyword> getTagType()

  Description copied from interface: `TaggableMapping`
  returns the type of the tag

  Specified by:
    `getTagType` in interface `TaggableMapping`

### getExistingTags

    public Set<? extends Keyword> getExistingTags()
                                           throws SQLException

  Description copied from interface: `TaggableMapping`
  allows to retrieve all existing tags from the database

  Specified by:
    `getExistingTags` in interface `TaggableMapping`
  Throws:
    `SQLException`

### renameTag

    public void renameTag(String oldName,
                          String newName)
                   throws SQLException,
                          NullPointerException

  Description copied from interface: `TaggableMapping`
  allows to rename all occurrences of a tag name into another

  Specified by:
    `renameTag` in interface `TaggableMapping`
  Throws:
    `SQLException`
    `NullPointerException`

### deleteTag

    public void deleteTag(String group)
                   throws SQLException

  Description copied from interface: `TaggableMapping`
  deletes the given tag so that no entry is in the given group anymore

  Specified by:
    `deleteTag` in interface `TaggableMapping`
  Throws:
    `SQLException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads